#include <bits\stdc++.h>
using namespace std;

long long N, M;
int lkolone[10010], rkolone[10010];

int main(){
	long long mindos=0, ldos=0, rdos=0;
	cin >> N >> M;
	int x;
	
	for (long long i=0; i<N; i++){
		cin >> x;
		ldos=rdos=0;
		for (int j=0; j<x; j++) lkolone[j]++;
		for (int j=0; j<M-x; j++) rkolone[M-j-1]++;
		for (int j=0; j<M; j++){
			ldos+=(i+1-lkolone[j])*(lkolone[j]);
			rdos+=(i+1-rkolone[j])*(rkolone[j]);
		}
		if (ldos<rdos || (ldos==rdos && x<=M/2)){
			for (int j=0; j<M; j++) rkolone[j]=lkolone[j];
			mindos=ldos;
		}
		else {
			for (int j=0; j<M; j++) lkolone[j]=rkolone[j];
			mindos=rdos;
		}
	}
	
	cout << mindos << endl;
	return 0;
}